import React, { useState } from 'react';
import { IonItem, IonList, IonSearchbar, IonNavLink} from '@ionic/react';
import biographies from '../data/Biograph.json'
import Biography from '../pages/Biography'

function SearchBar() {
  const data: string [] = [];

    for (var i = 0; i < biographies.length; i++){
      data.push(biographies[i].title);
    }

  let [results, setResults] = useState([...data]);

  const handleChange = (ev: Event) => {
    let query = "";
    const target = ev.target as HTMLIonSearchbarElement;
    if (target) query = target.value!.toLowerCase();

    setResults(data.filter(d => d.toLowerCase().indexOf(query) > -1));
  }

  return (
    <>
      <IonSearchbar debounce={500} onIonChange={(ev) => handleChange(ev)}></IonSearchbar>

      <IonList inset={true}>
        { results.map(result => (
        <IonNavLink routerDirection="forward" component={() => <Biography/>}>
          <IonItem button>
            { result }
          </IonItem>
        </IonNavLink>
        ))}
      </IonList>
    </>
  );
}
export default SearchBar;