import React, { useState } from 'react';
import { IonItem, IonList, IonSearchbar, IonNavLink} from '@ionic/react';
import capsules from '../data/Capsule.json'
import Capsule from '../pages/Capsule'

function SearchBar() {
  const data: string [] = [];

    for (var i = 0; i < capsules.length; i++){
      data.push(capsules[i].title);
    }

  let [results, setResults] = useState([...data]);

  const handleChange = (ev: Event) => {
    let query = "";
    const target = ev.target as HTMLIonSearchbarElement;
    if (target) query = target.value!.toLowerCase();

    setResults(data.filter(d => d.toLowerCase().indexOf(query) > -1));
  }

  return (
    <>
      <IonSearchbar debounce={500} onIonChange={(ev) => handleChange(ev)}></IonSearchbar>

      <IonList inset={true}>
        { results.map(result => (
        <IonNavLink routerDirection="forward" component={() => <Capsule/>}>
          <IonItem button>
            { result }
          </IonItem>
        </IonNavLink>
        ))}
      </IonList>
    </>
  );
}
export default SearchBar;

/*
 <IonLabel>Breve Historia del baile en Puerto Rico</IonLabel>
<IonNavLink routerDirection="forward" component={() => <Capsule />}>
<IonButton>Visitar</IonButton>
*/

/*
    <IonItem routerLink={`/message/${message.id}`} detail={true}>
      <div slot="start" className="dot dot-unread"></div>
      <IonLabel className="ion-text-wrap">

      </IonLabel>
    </IonItem>
*/